Bug 827120 - After upgrading to Fedora 17 console on tty1 is not available
After upgrading to Fedora 17 console on tty1 is not available
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 12:39 EDT by Thomas Schweikle
Modified: 2013-03-07 11:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 11:38:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Schweikle 2012-05-31 12:39:58 EDT
Description of problem:
After upgrading from Fedora 16 to Fedora 17 tty1 does only show a blinking cursor, no input possible. Switching to one of the alternate consoles ctrl-alt-F{2..6} works. Switching back to console tty1 (ctrl-alt-f1). There is again only a blinking cursor. No input possible.

ps axf gives back:
  667 tty4     Ss+    0:00 /sbin/agetty tty4 38400
  668 tty6     Ss+    0:00 /sbin/agetty tty6 38400
  669 tty2     Ss+    0:00 /sbin/agetty tty2 38400
  670 tty5     Ss+    0:00 /sbin/agetty tty5 38400
  672 tty3     Ss+    0:00 /sbin/agetty tty3 38400

there is no getty running on tty1.


Version-Release number of selected component (if applicable):
util-linux-2.21.2-1.fc17.x86_64

How reproducible:
always. Upgraded 12 systems. All showing the same behaviour: no tty on console 1. Switching to an other console (tty{2..6}) is possible.

Steps to Reproduce:
1. Have Fedora 16 or Fedora 15 installed.
2. Upgrade from Fedora 15 to 16, then to 17
3. After rebooting console on tty1 is gone. agetty-process is missing.
  
Actual results:
After rebooting after an upgrade console on tty1 is gone.
agetty-process is missing.

Expected results:
After rebooting after an upgrade console on tty1 is available.

Additional info:
Looks like the tty1 agetty is started, but terminates, since plymouth holds tty1.
Comment 1 Michal Schmidt 2012-06-01 04:17:37 EDT
What systemd target are you booting into? Do you have a /etc/systemd/system/default.target symlink? What does it point to?

Please produce a log of the boot, following these instructions:
http://freedesktop.org/wiki/Software/systemd/Debugging#When_you_can_get_a_shell
Comment 2 Lennart Poettering 2013-03-07 11:38:30 EST
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.